Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.odftoolkit.odfdom.doc
Class OdfTextDocument

    java.lang.Object
      org.odftoolkit.odfdom.doc.OdfDocument
          org.odftoolkit.odfdom.doc.OdfTextDocument

    public class OdfTextDocument

extends OdfDocument

This class represents an empty ODF text document file. Note: The way of receiving a new empty OdfTextDocument will probably change. In the future the streams and DOM representation of an OpenDocument file will be clonable and this stream buffering will be neglected.

Nested Class Summary

Nested classes/interfaces inherited from class org.odftoolkit.odfdom.doc.OdfDocument
`OdfDocument.OdfMediaType, OdfDocument.OdfXMLFile, OdfDocument.Resource`

Constructor Summary
`protected` | `OdfTextDocument()`

Method Summary
`static OdfTextDocument` | `createTextDocument()` Creates an empty text document.
`String` | `getMediaType()` Get the media type
`String` | `toString()`

Methods inherited from class org.odftoolkit.odfdom.doc.OdfDocument
`embedDocument, getBaseURI, getContentDom, getContentStream, getDocumentPackagePath, getDocumentStyles, getEmbeddedDocument, getEmbeddedDocuments, getEmbeddedDocuments, getMetaStream, getOfficeBody, getOfficeMasterStyles, getOrCreateDocumentStyles, getPackage, getRootDocument, getSettingsStream, getStylesDom, getStylesStream, getXMLFilePath, getXPath, loadDocument, loadDocument, loadDocument, loadDocument, loadTemplate, save, save, save, setMediaType, setPackage, setRootDocument`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### OdfTextDocument

    protected OdfTextDocument()

Method Detail

### createTextDocument

    public static OdfTextDocument createTextDocument()
                                              throws Exception

  Creates an empty text document.

  Returns:
    ODF text document based on a default template
  Throws:
    `Exception` - - if the document could not be created

### getMediaType

    public String getMediaType()

  Get the media type

  Overrides:
    `getMediaType` in class `OdfDocument`
  Returns:
    the mediaTYPE string of this package

### toString

    public String toString()

  Overrides:
    `toString` in class `OdfDocument`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009. All Rights Reserved.